Bug 227186 - cannot see both SATA drives
cannot see both SATA drives
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 18:13 EST by Florin Andrei
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:09:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2007-02-02 18:13:54 EST
Description of problem:
New system:
AMD Athlon 64 X2
Asus M2N-SLI Deluxe
2 x 320GB SATA

I am trying to install FC6 i386 (I may try to switch to 64 bit later).

The problem is, when I get to partitioning, the only "hard drive" seen by the
installer is /dev/mapper/mpath0

I tried to tweak various SATA and RAID settings in the BIOS (RAID is supposedly
disabled, I don't need RAID, I just need 2 separate disks), it didn't help.
Based on discussions I've seen on the Internet, I tried booting the installer
with "linux nodmraid" but it didn't help.

Version-Release number of selected component (if applicable):
whatever's on the FC6 installer DVD

How reproducible:
always

Steps to Reproduce:
1. just try and install FC6 on the Asus M2N-SLI with 2 SATA drives
  
Actual results:
When partitioning, I can only see the pseudo-drive /dev/mapper/mpath0

Expected results:
I expect to see /dev/sda and /dev/sdb or something like that.

Additional info:
Comment 1 Florin Andrei 2007-02-02 18:48:20 EST
Ubuntu 6.06, Knoppix 5.1.1 and CentOS 4.4 - all of them see the drives correctly
as /dev/sda and /dev/sdb
Comment 2 Jeremy Katz 2007-02-05 16:20:29 EST
Booting with 'linux nodmraid' should work around.  
Comment 3 Florin Andrei 2007-02-05 19:23:02 EST
'linux nodmraid' makes no difference. It's like, whatever is supposed to be
disabled by that option is not really disabled.
Under the Advanced Storage Configuration button, the "disable dmraid device"
option is grayed out.

I did my initial tests with the 0202 BIOS version. I updated the BIOS to the
latest 0801 version. Makes no difference.

By the way - related to bug #227441 - it looks like the FC6 installer loads up
the sata_nv module. It does not ask for additional modules (as opposed to FC7t1).
Comment 4 Lee Haynes 2007-06-05 20:02:46 EDT
Same experience with FC7 on Abit VT7 mobo. Using 2 Maxtor STM3160812AS drivers. 
Per Maxtor SATAII/300 installation manual, I am using the FORCE 150 jumper. I 
have installed SUSE 10.2 which sees both drives. The driver loaded is for the 
VT6420 controller whereas my RAID BIOS Utility indicates VT8237 controller. I 
prefer Fedora over all other distros, so would like resolution ASAP.
Comment 5 Peter Jones 2007-07-09 11:37:46 EDT
Jeremy meant "linux nompath", I suspect.  Try that, it should work...
Comment 6 Lee Haynes 2007-07-24 23:02:04 EDT
Works for me. Thanks!
Comment 7 Bug Zapper 2008-04-04 02:05:04 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 15:09:35 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.